Search and aggregation
Search artifacts
Search artifacts
curl --request POST \
--url https://agentgateway.atlan.engineering/registry/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://agentgateway.atlan.engineering/registry/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/search"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"artifact_status": "<string>",
"commit_ts": "<string>",
"content_hash_hex": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"extension": "<string>",
"id": "<string>",
"is_latest": true,
"kind": "<string>",
"name": "<string>",
"source_type": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"version_ordinal": 123,
"workspace_id": "<string>",
"identity": {
"client_id": "<string>",
"credential_kind": "<string>",
"api_key": "<string>",
"expires_at": "<string>"
},
"metadata": {},
"oidc_client_id": "<string>",
"owner_id": "<string>",
"permissions": {
"can_add_relationship": true,
"can_create_version": true,
"can_delete": true,
"can_edit": true,
"can_link": true,
"can_read": true,
"can_remove_relationship": true,
"can_unlink": true
},
"project": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>"
},
"project_id": "<string>",
"relationships": {
"count": 1,
"incoming": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>"
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>"
},
"weight": 123
}
],
"outgoing": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>"
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>"
},
"weight": 123
}
]
},
"repo": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"source_uri": "<string>",
"workspace_id": "<string>"
},
"repo_id": "<string>",
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_digest": "<string>",
"source_id": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_uri": "<string>",
"source_version": "<string>",
"version_label": "<string>",
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"page": {
"limit": 1,
"offset": 1,
"next_cursor": "<string>",
"total": 1
}
}{
"code": "invalid_json",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_type",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Required range:
0 <= x <= 500Required range:
x >= 0⌘I
Search artifacts
curl --request POST \
--url https://agentgateway.atlan.engineering/registry/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://agentgateway.atlan.engineering/registry/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/search"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"artifact_status": "<string>",
"commit_ts": "<string>",
"content_hash_hex": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"extension": "<string>",
"id": "<string>",
"is_latest": true,
"kind": "<string>",
"name": "<string>",
"source_type": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"version_ordinal": 123,
"workspace_id": "<string>",
"identity": {
"client_id": "<string>",
"credential_kind": "<string>",
"api_key": "<string>",
"expires_at": "<string>"
},
"metadata": {},
"oidc_client_id": "<string>",
"owner_id": "<string>",
"permissions": {
"can_add_relationship": true,
"can_create_version": true,
"can_delete": true,
"can_edit": true,
"can_link": true,
"can_read": true,
"can_remove_relationship": true,
"can_unlink": true
},
"project": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>"
},
"project_id": "<string>",
"relationships": {
"count": 1,
"incoming": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>"
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>"
},
"weight": 123
}
],
"outgoing": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>"
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>"
},
"weight": 123
}
]
},
"repo": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"source_uri": "<string>",
"workspace_id": "<string>"
},
"repo_id": "<string>",
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_digest": "<string>",
"source_id": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_uri": "<string>",
"source_version": "<string>",
"version_label": "<string>",
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"page": {
"limit": 1,
"offset": 1,
"next_cursor": "<string>",
"total": 1
}
}{
"code": "invalid_json",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_type",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}